<?php
/**
 * @version 1.5 stable $Id: default.php 1606 2012-12-19 02:50:45Z ggppdk $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

$html5								= 1; // USE HTML5 or XHTML
$bootstrap							= 1; // USE Bootstrap

$page_classes  = '';
$page_classes .= $this->pageclass_sfx ? ' page'.$this->pageclass_sfx : '';
$page_classes .= ' fcdirectory rootcat'.$this->params->get('rootcat', FLEXI_J16GE ? 1:0);
?>

<?php  /* BOF flexicontent */
if ($html5) echo '<section class="section main-sec" role="group">'."\n"; ?>
<div id="flexicontent" class="flexicontent <?php echo $page_classes; ?>" >


<?php /* BOF header */
if ( ($html5) && ($this->params->get('showintrotext')) ) echo '<header class="page-header header">'."\n";
/* BOF page heading */
if ($html5) echo '<hgroup class="section-title hgroup">'."\n"; ?>
	<h1<?php if (!$this->params->get('show_page_heading', 1)) echo ' style="display:none;"'; ?>>
		<?php echo $this->params->get('page_heading'); ?>
	</h1>
	<h2<?php if ($this->params->get('show_page_heading', 1)) echo ' style="display:none;"'; ?>>
		<?php echo JText::_( 'FLEXI_CATEGORIES' ).' '; ?>
	</h2>
<?php if ($html5) echo '</hgroup>'."\n";
/* EOF page heading */ ?>

<?php /* BOF description */
if ($this->params->get('showintrotext')) : ?>
	<div class="description no_space floattext">
		<?php echo $this->params->get('introtext'); ?>
	</div>
<?php endif; 
 /* EOF description */ ?>
 
<?php /* EOF header */
if ( ($html5) && ($this->params->get('showintrotext')) ) echo '</header>'."\n"; ?>

<?php echo $this->loadTemplate('categories'); ?>

<?php /* BOF pagination */ ?>
	<?php if ($html5) echo '<footer class="footer"><nav class="clearfix" role="navigation">'."\n"; ?>
    <div class="pageslinks"><?php echo $this->pageNav->getPagesLinks(); ?></div>
    <div class="pagescounter"> <?php echo $this->pageNav->getPagesCounter(); ?></div>
    <?php if ($html5) echo '</nav></footer>'."\n";
/* EOF pagination */ ?>

</div>
<?php /* BOF flexicontent */ ?>
<?php if ($html5) echo '</section>'."\n"; ?>