<?php
/**
 * @package        	Template Framework for Joomla 2.5
 * @author        	Ren Bz http://nettdotkomm.de
 * @override       	html5 / bootstrap
 * @source dir		com_flexicontent\search
 * @copyright    	Copyright (C) 2009 - 2012 Ren Bz. All rights reserved.
 * @license        	GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */
// no direct access
defined('_JEXEC') or die;

$html5								= 1; // USE HTML5 or XHTML
$bootstrap							= 1; // USE Bootstrap
?>

<?php if (count($this->results)) :
$start = $this->pageNav->limitstart + 1; 
$count = -1;
?>
<div class="searchresults <?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" >
    <ol class="list search-list" start="<?php echo (int)$this->pageNav->limitstart + $result->count; ?>">	
	<?php 	
	foreach( $this->results as $result ) :
	$count++;
	?>
        <li class="<?php echo $count%2 ? 'odd' : 'even'; ?>">
        	<?php echo($html5) ? '<article role="article" class="resultitem article">' : '<div class="resultitem article">'."\n"; ?>
				<?php echo (($html5) && ($this->params->get( 'show_section', 0 ) && $result->section )) ? '<header class="header">' : ''."\n"; ?>
				<?php echo($html5) ? '<h1 class="resultitem-title">' : '<div class="resultitem-title">'."\n"; ?>
                <?php
				if ( $result->href ) {
					echo '<a href="'.JRoute::_($result->href).'" '.(($result->browsernav == 1) ? 'target="_blank"' : '').' >';
				}
					echo htmlspecialchars($result->title);
				if ( $result->href ) {
					echo '</a>';
				}
				?>
                <?php 
				if ($this->params->get( 'show_section', 0 ) && $result->section ) : ?>
                <span class="resultcategory-title small">
                    <?php echo htmlspecialchars($result->section); ?>
                </span>
				<?php endif; ?>
                <?php echo($html5) ? '</h1>' : '</div>'."\n"; ?>
                <?php echo (($html5) && ($this->params->get( 'show_section', 0 ) && $result->section )) ? '</header>' : ''."\n"; ?>
				<?php if ( $this->params->get( 'show_text', 1 )) : ?>
                <div class="fc_search_result_text resultitem-content">
                    <?php echo $result->text; ?>
                </div>
                <?php endif;?>
            	<?php if ( $this->params->get( 'show_date', 1 )) : ?>
                <?php echo($html5) ? '<footer class="fc_search_result_fields" role="contentinfo"><time>' : '<div class="fc_search_result_fields" role="contentinfo">'."\n"; ?>
                    <span class="result-created small<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
                        <?php echo $result->created; ?>
                    </span>
                <?php echo($html5) ? '</time></footer>' : '</div>'."\n"; ?>
				<?php endif; ?>
            <?php echo($html5) ? '</article>' : '</div>'."\n"; ?>
        </li>
    <?php endforeach; ?>
    </ol>

    <?php echo($html5) ? ' <nav id="searchpagination" class="pageslinks pagination-centered" role="navigation">' : ' <div id="searchpagination" class="pageslinks pagination-centered" role="navigation">'."\n"; ?>
    <!-- BOF pagination -->
    <?php
        // If customizing via CSS rules or JS scripts is not enough, then please copy the following file here to customize the HTML too
        include(JPATH_SITE.DS.'components'.DS.'com_flexicontent'.DS.'tmpl_common'.DS.'pagination.php');
    ?>
    <!-- EOF pagination -->
    <?php echo($html5) ? ' </nav>' : ' </div>'."\n"; ?>
</div>
<?php endif; ?>