<?php
/**
 * @package        	Template Framework for Joomla 2.5
 * @author        	Ren Bz http://nettdotkomm.de
 * @override       	html5 / bootstrap
 * @source dir		com_flexicontent\search
 * @copyright    	Copyright (C) 2009 - 2012 Ren Bz. All rights reserved.
 * @license        	GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */
// no direct access
defined('_JEXEC') or die;

$html5								= 1; // USE HTML5 or XHTML
$bootstrap							= 1; // USE Bootstrap

$page_classes  = '';
$page_classes .= $this->pageclass_sfx ? ' page'.$this->pageclass_sfx : '';
$page_classes .= ' fcsearch';
?>

<?php  /* BOF flexicontent */
if ($html5) echo '<section class="section main-sec search" role="group">'."\n"; ?>
<div <?php if (!$bootstrap) echo ' id="flexicontent" '; ?>class="<?php echo ($bootstrap) ? 'fc-bootstraped' : 'flexicontent'; ?><?php echo $page_classes; ?>">

<?php /* BOF heading */
if ($html5) echo '<hgroup class="page-header section-title hgroup">'."\n"; ?>
	<h1<?php if (!$this->params->get('show_page_heading', 1)) echo ' style="display:none;"'; ?>>
		<?php echo $this->params->get('page_heading'); ?>
	</h1>
	<h2<?php if ($this->params->get('show_page_heading', 1)) echo ' style="display:none;"'; ?>>
		<?php echo JText::_( 'FLEXI_SEARCH' ).' '; ?>
	</h2>
<?php if ($html5) echo '</hgroup>'."\n";
/* EOF heading */ ?>

	<?php /* BOF buttons */
	$pdfbutton = '';
	$mailbutton = '';
	$printbutton = flexicontent_html::printbutton( $this->print_link, $this->params );
	if ($pdfbutton || $mailbutton || $printbutton) {
	?>
	<p class="buttons">
		<?php echo $pdfbutton; ?>
		<?php echo $mailbutton; ?>
		<?php echo $printbutton; ?>
	</p>
	<?php } /* EOF buttons */?>

<?php if (!JRequest::getVar('print',0)) echo $this->loadTemplate('form'); ?>
<?php if(!$this->error && count($this->results) > 0) :
	echo $this->loadTemplate('results');
else :
	echo $this->loadTemplate('error');
endif; ?>

</div>
<?php /* BOF flexicontent */ ?>
<?php if ($html5) echo '</section>'."\n"; ?>